### Hierarchy

- unknown
  - CloseConnectionMessage

## Index

### Constructors

- constructor

### Methods

- getReason
- serializeBinary
- setReason
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CloseConnectionMessage(): CloseConnectionMessage

- Inherited from jspb.Message.constructor

  #### Returns CloseConnectionMessage

## Methods

### getReason

- getReason(): string

- - Defined in src/protobuf/pb_pb.d.ts:920

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:923

  #### Returns Uint8Array

### setReason

- setReason(value: string): CloseConnectionMessage

- - Defined in src/protobuf/pb_pb.d.ts:921

  #### Parameters

  - ##### value: string

  #### Returns CloseConnectionMessage

### toObject

- toObject(includeInstance?: boolean): CloseConnectionMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:924

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CloseConnectionMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CloseConnectionMessage

- - Defined in src/protobuf/pb_pb.d.ts:927

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CloseConnectionMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CloseConnectionMessage, reader: BinaryReader): CloseConnectionMessage

- - Defined in src/protobuf/pb_pb.d.ts:928

  #### Parameters

  - ##### message: CloseConnectionMessage

  - ##### reader: BinaryReader

  #### Returns CloseConnectionMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CloseConnectionMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:926

  #### Parameters

  - ##### message: CloseConnectionMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CloseConnectionMessage ): CloseConnectionMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:925

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CloseConnectionMessage

  #### Returns CloseConnectionMessage . AsObject

Generated using TypeDoc